> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List bank transactions

> Retrieve transactions for a specific connected bank account.



## OpenAPI

````yaml get /v1/bank-accounts/{id}/transactions
openapi: 3.1.0
info:
  title: Hyperline API
  version: 0.0.0
servers:
  - url: https://api.hyperline.co
  - url: https://sandbox.api.hyperline.co
security: []
paths:
  /v1/bank-accounts/{id}/transactions:
    get:
      tags:
        - Bank Accounts
      summary: List bank transactions
      description: Retrieve transactions for a specific connected bank account.
      operationId: listBankAccountTransactions
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
        - schema:
            type: number
            exclusiveMinimum: 0
            maximum: 100
            default: 50
            description: Maximum number of items to return (1-100).
            example: 50
          required: false
          description: Maximum number of items to return (1-100).
          name: limit
          in: query
        - schema:
            type: string
            description: >-
              Opaque cursor returned in the previous response's `next_cursor`.
              Omit to fetch the first page.
          required: false
          description: >-
            Opaque cursor returned in the previous response's `next_cursor`.
            Omit to fetch the first page.
          name: cursor
          in: query
        - schema:
            anyOf:
              - type: boolean
              - type: string
                enum:
                  - 'true'
                  - 'false'
            default: false
            description: Set to `true` to include `total` in the response.
            example: false
          required: false
          description: Set to `true` to include `total` in the response.
          name: include_total
          in: query
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CursorPaginatedBankAccountTransaction'
        '404':
          description: Bank account not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
      security:
        - bearer: []
components:
  schemas:
    CursorPaginatedBankAccountTransaction:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/BankAccountTransaction'
          description: List of BankAccountTransaction.
        next_cursor:
          type:
            - string
            - 'null'
          description: Cursor to fetch the next page. `null` when there are no more items.
          example: null
        has_more:
          type: boolean
          description: Whether more items are available after this page.
          example: false
        total:
          type: number
          description: >-
            Total number of items matching the filters. Only present when
            `include_total=true` was passed.
          example: 1
      required:
        - data
        - next_cursor
        - has_more
    BankAccountTransaction:
      type: object
      properties:
        id:
          type: string
          description: Bank account transaction ID.
          example: obt_QrqP1vctzd9hdA
        bank_account_id:
          type: string
          description: ID of the bank account that owns the transaction.
          example: bac_KJyPrMA1toAqRG
        description:
          type: string
          description: Bank transaction description.
          example: Invoice payment INV-001
        amount:
          type: number
          description: Transaction amount, expressed in the currency's smallest unit.
          example: 10000
        currency:
          type: string
          enum:
            - EUR
            - AED
            - AFN
            - XCD
            - ALL
            - AMD
            - AOA
            - ARS
            - USD
            - AUD
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - XOF
            - BMD
            - BND
            - BOB
            - BRL
            - BSD
            - BTN
            - NOK
            - BWP
            - BYR
            - BZD
            - CAD
            - CDF
            - XAF
            - CHF
            - NZD
            - CLP
            - CNY
            - COP
            - CRC
            - CUP
            - CVE
            - ANG
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EGP
            - MAD
            - ERN
            - ETB
            - FJD
            - FKP
            - GBP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GTQ
            - GYD
            - HKD
            - HNL
            - HRK
            - HTG
            - HUF
            - IDR
            - ILS
            - INR
            - IQD
            - IRR
            - ISK
            - JMD
            - JOD
            - JPY
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KRW
            - KWD
            - KYD
            - KZT
            - LAK
            - LBP
            - LKR
            - LRD
            - LSL
            - LYD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRO
            - MUR
            - MVR
            - MWK
            - MXN
            - MYR
            - MZN
            - NAD
            - XPF
            - NGN
            - NIO
            - NPR
            - OMR
            - PAB
            - PEN
            - PGK
            - PHP
            - PKR
            - PLN
            - PYG
            - QAR
            - RON
            - RSD
            - RUB
            - RWF
            - SAR
            - SBD
            - SCR
            - SDG
            - SEK
            - SGD
            - SHP
            - SLL
            - SOS
            - SRD
            - SSP
            - STD
            - SYP
            - SZL
            - THB
            - TJS
            - TMT
            - TND
            - TOP
            - TRY
            - TTD
            - TWD
            - TZS
            - UAH
            - UGX
            - UYU
            - UZS
            - VEF
            - VND
            - VUV
            - WST
            - YER
            - ZAR
            - ZMW
            - ZWL
          description: Transaction currency.
          example: EUR
        original_amount:
          type:
            - number
            - 'null'
          description: >-
            Original transaction amount, expressed in the original currency's
            smallest unit.
          example: null
        original_currency:
          type:
            - string
            - 'null'
          enum:
            - EUR
            - AED
            - AFN
            - XCD
            - ALL
            - AMD
            - AOA
            - ARS
            - USD
            - AUD
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - XOF
            - BMD
            - BND
            - BOB
            - BRL
            - BSD
            - BTN
            - NOK
            - BWP
            - BYR
            - BZD
            - CAD
            - CDF
            - XAF
            - CHF
            - NZD
            - CLP
            - CNY
            - COP
            - CRC
            - CUP
            - CVE
            - ANG
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EGP
            - MAD
            - ERN
            - ETB
            - FJD
            - FKP
            - GBP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GTQ
            - GYD
            - HKD
            - HNL
            - HRK
            - HTG
            - HUF
            - IDR
            - ILS
            - INR
            - IQD
            - IRR
            - ISK
            - JMD
            - JOD
            - JPY
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KRW
            - KWD
            - KYD
            - KZT
            - LAK
            - LBP
            - LKR
            - LRD
            - LSL
            - LYD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRO
            - MUR
            - MVR
            - MWK
            - MXN
            - MYR
            - MZN
            - NAD
            - XPF
            - NGN
            - NIO
            - NPR
            - OMR
            - PAB
            - PEN
            - PGK
            - PHP
            - PKR
            - PLN
            - PYG
            - QAR
            - RON
            - RSD
            - RUB
            - RWF
            - SAR
            - SBD
            - SCR
            - SDG
            - SEK
            - SGD
            - SHP
            - SLL
            - SOS
            - SRD
            - SSP
            - STD
            - SYP
            - SZL
            - THB
            - TJS
            - TMT
            - TND
            - TOP
            - TRY
            - TTD
            - TWD
            - TZS
            - UAH
            - UGX
            - UYU
            - UZS
            - VEF
            - VND
            - VUV
            - WST
            - YER
            - ZAR
            - ZMW
            - ZWL
          description: Original transaction currency.
          example: null
        status:
          type: string
          enum:
            - pending
            - posted
          description: Bank transaction status.
          example: posted
        bank_transaction_id:
          type:
            - string
            - 'null'
          description: Transaction ID from the connected bank.
          example: bank_txn_123
        authorized_at:
          type: string
          format: date-time
          description: Date when the bank authorized the transaction.
          example: '2026-01-12T10:00:00.000Z'
        settled_at:
          type:
            - string
            - 'null'
          format: date-time
          description: Date when the bank settled the transaction.
          example: '2026-01-12T12:00:00.000Z'
        created_at:
          type: string
          format: date-time
          description: Date when the transaction was created in Hyperline.
          example: '2026-01-12T12:05:00.000Z'
      required:
        - id
        - bank_account_id
        - description
        - amount
        - currency
        - original_amount
        - original_currency
        - status
        - bank_transaction_id
        - authorized_at
        - settled_at
        - created_at
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````